Package: org.gradle.api.artifacts

## [Java] Interface ExternalDependency

- org.gradle.api.artifacts.ModuleDependency

- All Superinterfaces:
    ModuleVersionSelector, Dependency, ModuleDependency

  An `ExternalDependency` is a Dependency on a source outside the current project hierarchy.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ExternalDependency` | `copy()` {@inheritDoc}
    `boolean` | `isForce()` Returns whether or not the version of this dependency should be enforced in the case of version conflicts.
    `ExternalDependency` | `setForce(boolean force)` Sets whether or not the version of this dependency should be enforced in the case of version conflicts.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ModuleDependency` | `addArtifact, artifact, copy, exclude, getArtifacts, getConfiguration, getExcludeRules, isTransitive, setTransitive`
    `interface ModuleVersionSelector` | `getGroup, getName, getVersion, matchesStrictly`

- - ### Method Detail

    - #### public ExternalDependency copy()

      {@inheritDoc}

    - #### public boolean isForce()

      Returns whether or not the version of this dependency should be enforced in the case of version conflicts.

    - #### public ExternalDependency setForce(boolean force)

      Sets whether or not the version of this dependency should be enforced in the case of version conflicts.

      Parameters:
        `force` - Whether to force this version or not.
      Returns:
        this